﻿using System;
using System.Windows;
using System.Windows.Controls;
using Telerik.Windows.Controls.Data.PropertyGrid;

namespace PropertyGridTemplateSelector_WPF_NoXAML
{
	public class PropertyGridDataTemplateSelector : DataTemplateSelector
	{
		public override DataTemplate SelectTemplate(object item, DependencyObject container)
		{
			if (item as PropertyDefinition == null)
			{
				return null;
			}
			else
			{
				if ((item as PropertyDefinition).SourceProperty.PropertyType == typeof(Int32))
				{
					return IntegerPropertyDataTemplate;
				}

				if ((item as PropertyDefinition).SourceProperty.PropertyType == typeof(string))
				{
					return StringDataTemplate;
				}
			}			

			return null;
		}

		public DataTemplate IntegerPropertyDataTemplate { get; set; }
		public DataTemplate StringDataTemplate { get; set; }
	}
}
